> ## Documentation Index
> Fetch the complete documentation index at: https://doc.bettercontact.rocks/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Lead Finder Search results

> Get leads from a submitted People Find search.



## OpenAPI

````yaml GET /lead_finder/async/{request_id}
openapi: 3.0.1
info:
  title: BetterContact API
  description: The official BetterContact API to enrich your contacts list and find leads
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.bettercontact.rocks/api/v2
security:
  - apiKey: []
paths:
  /lead_finder/async/{request_id}:
    get:
      summary: Get Lead Finder request results
      description: Retrieve the results for a specific request ID
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Request results retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LeadFinderResult'
        '401':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '406':
          description: Invalid request_id
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Unvalid request_id.
      security:
        - apiKey: []
components:
  schemas:
    LeadFinderResult:
      type: object
      properties:
        id:
          type: string
          example: f4eaa33f3d6fd1d8e1a7
        credits_left:
          type: string
          example: '993.3'
        credits_consumed:
          type: string
          example: '5.5'
        status:
          type: string
          example: terminated
        summary:
          type: object
          properties:
            leads_found:
              type: integer
              example: 55
        leads:
          type: array
          items:
            $ref: '#/components/schemas/LeadObject'
    UnauthorizedError:
      type: object
      properties:
        error:
          type: string
          example: Unauthorized
    LeadObject:
      type: object
      properties:
        contact_id:
          type: integer
          example: 32680300
        contact_full_name:
          type: string
          example: Frédéric Bonnand
        contact_first_name:
          type: string
          example: Frédéric
        contact_last_name:
          type: string
          example: Bonnand
        contact_job_title:
          type: string
          example: Founder @bettercontact
        contact_seniority:
          type: string
          example: Founder
        contact_headline:
          type: string
          example: Find emails and phones with bettercontact waterfall enrichment
        contact_industry:
          type: string
          example: Information technology & services
        contact_linkedin_profile_url:
          type: string
          example: https://www.linkedin.com/in/fbonnand
        contact_linkedin_id:
          type: string
          nullable: true
        contact_location_continent:
          type: string
          example: Europe
        contact_location_country:
          type: string
          example: France
        contact_location_state:
          type: string
          nullable: true
        contact_location_city:
          type: string
          nullable: true
        contact_city:
          type: string
          nullable: true
        contact_location:
          type: string
          nullable: true
        contact_country_code:
          type: string
          nullable: true
        contact_email_address:
          type: string
          nullable: true
        contact_email_address_status:
          type: string
          nullable: true
        contact_email_address_provider:
          type: string
          nullable: true
        contact_phone_number:
          type: string
          nullable: true
        contact_phone_number_cc:
          type: string
          nullable: true
        contact_additional_phone_number:
          type: string
          nullable: true
        contact_avatar:
          type: string
          nullable: true
        contact_gender:
          type: string
          nullable: true
        contact_activity:
          type: string
          nullable: true
        contact_followers:
          type: string
          nullable: true
        contact_connections:
          type: string
          nullable: true
        contact_experience:
          type: string
          nullable: true
        contact_current_company:
          type: string
          nullable: true
        contact_people_also_viewed:
          type: string
          nullable: true
        contact_posts:
          type: string
          nullable: true
        company_id:
          type: string
          nullable: true
        company_name:
          type: string
          example: Bettercontact
        company_domain:
          type: string
          example: bettercontact.rocks
        company_description:
          type: string
          example: >-
            Bettercontact aggregates 20+ premium contact data providers such as
            people data labs, rocketreach, and datagma into one subscription.
        company_about:
          type: string
          nullable: true
        company_logo:
          type: string
          nullable: true
        company_image:
          type: string
          nullable: true
        company_size:
          type: string
          nullable: true
        company_linkedin_url:
          type: string
          example: https://www.linkedin.com/company/bettercontact
        company_linkedin_id:
          type: string
          nullable: true
        company_website:
          type: string
          nullable: true
        company_crunchbase_url:
          type: string
          nullable: true
        company_directions_url:
          type: string
          nullable: true
        company_industry:
          type: string
          example: Software development
        company_industries:
          type: string
          nullable: true
        company_industry_code:
          type: string
          nullable: true
        company_type:
          type: string
          example: privately_held
        company_organization_type:
          type: string
          nullable: true
        company_founded:
          type: string
          nullable: true
        company_founded_year:
          type: integer
          example: 2022
        company_funding:
          type: string
          nullable: true
        company_investors:
          type: string
          nullable: true
        company_stock_info:
          type: string
          nullable: true
        company_similar:
          type: string
          nullable: true
        company_specialities:
          type: string
          nullable: true
        company_employees:
          type: string
          nullable: true
        company_employees_number:
          type: string
          nullable: true
        company_employees_in_linkedin:
          type: string
          nullable: true
        company_employees_range_start:
          type: integer
          example: 11
        company_employees_range_end:
          type: integer
          example: 50
        company_followers:
          type: string
          nullable: true
        company_head_quarters_city:
          type: string
          example: Lyon
        company_head_quarters_country:
          type: string
          example: France
        company_headquarters:
          type: string
          nullable: true
        company_address_street:
          type: string
          nullable: true
        company_address_city:
          type: string
          nullable: true
        company_address_state:
          type: string
          nullable: true
        company_address_country:
          type: string
          nullable: true
        company_address_zipcode:
          type: string
          nullable: true
        company_formatted_locations:
          type: string
          nullable: true
        company_country_code:
          type: string
          nullable: true
        company_phone_number:
          type: string
          nullable: true
        company_legal_id:
          type: string
          nullable: true
        company_legal_name:
          type: string
          nullable: true
        custom_fields:
          type: array
          items: {}
          example: []
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````